iOS Question First compilation trial on Local Mac

Discussion in 'iOS Questions' started by Serdar K., Jan 10, 2019.

  1. Serdar K.

    Serdar K. Member Licensed User

    Hi,

    I use B4A for a while on my projects, thanks for the nice IDE product family again.

    I had bought a bundle and don't want to buy a developer ID yet, so i bought a second hand Mac Computer for build processes, which i could use later on, after getting a developer account.

    I just try to compile an empty default B4i project for testing (as B4i just fills the template).

    Now, i have all tools installed, since it is an older version of Mac, it runs MacOS elCapitan and the maximum version of XCode i could run is 8.2 . So i installed it and it works. I installed B4iBuilder on mac, run the server, got response from test URL. On PC side, i have tried B4i V5.30 and B4i V5.50 Beta versions and i keep getting the error log below :

    I am sure that this has a simple explanation but i am using Mac the first time on my life, and also B4i is a new start for me.

    I would like to use a little help here.

    Thanks and regards,
    Serdar
     
  2. Erel

    Erel Administrator Staff Member Licensed User

    You must use Xcode 9+. I recommend you to use Xcode 10.1 as Apple will soon require it.
     
  3. Serdar K.

    Serdar K. Member Licensed User

    I have to solve my problem on this OS version, which means on this XCode version, because newer versions won't be installed on my machine.

    I have seen that even older versions like Xcode 7 or similar were supported by B4iBuilder on the forum.
    If there is a way to get older versions of B4i and B4iBuilder, i would like to use them.
    Any suggestions in that case?

    It is OK for me to use this until Apple prevents them. In a few months i will have Apple developer license,
    and then I can use hosted MacBuilder anyway.
     
  4. Erel

    Erel Administrator Staff Member Licensed User

  5. Serdar K.

    Serdar K. Member Licensed User

    Hi Erel, Thank you.
    I will be trying to update my system using unofficial ways, but since i'm not sure that this is a good idea,
    i will be sending this e-mail to get the appropriate versions.

    Thanks for your support.

    Best regards,
    Serdar
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice